Add selected products
curl --request POST \
--url https://api.semicola.com/api/v2/buyer/discovery/{id}/products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"products": [
{
"productId": "<string>",
"storefrontId": 123,
"pricingOptionId": "<string>",
"budget": "<string>",
"bidPrice": "<string>",
"groupId": "<string>"
}
],
"replace": true,
"campaignId": "<string>"
}
'import requests
url = "https://api.semicola.com/api/v2/buyer/discovery/{id}/products"
payload = {
"products": [
{
"productId": "<string>",
"storefrontId": 123,
"pricingOptionId": "<string>",
"budget": "<string>",
"bidPrice": "<string>",
"groupId": "<string>"
}
],
"replace": True,
"campaignId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
products: [
{
productId: '<string>',
storefrontId: 123,
pricingOptionId: '<string>',
budget: '<string>',
bidPrice: '<string>',
groupId: '<string>'
}
],
replace: true,
campaignId: '<string>'
})
};
fetch('https://api.semicola.com/api/v2/buyer/discovery/{id}/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"productId": "<string>",
"storefrontId": 123,
"pricingOptionId": "<string>",
"budget": "<string>",
"bidPrice": "<string>",
"groupId": "<string>"
}
],
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
},
"meta": {
"pagination": {
"skip": 0,
"take": 0,
"total": 0,
"hasMore": true
}
}
}Product Discovery
Add selected products
POST
/
api
/
v2
/
buyer
/
discovery
/
{id}
/
products
Add selected products
Authorizations
bearerAuthsessionCookie
API key or OAuth access token.
Path Parameters
Minimum string length:
1Body
application/json